Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226048 - Merge Review: libtheora
Summary: Merge Review: libtheora
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libtheora
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 478651
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:28 UTC by Nobody's working on this, feel free to take it
Modified: 2016-12-20 11:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 11:58:14 UTC
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:28:01 UTC
Fedora Merge Review: libtheora

http://cvs.fedora.redhat.com/viewcvs/devel/libtheora/
Initial Owner: besfahbo@redhat.com

Comment 1 Michel Alexandre Salim 2007-03-19 00:11:32 UTC
Almost ready for approval (see Maybe and Bad section)

Good:
- Package name matches upstream
- Spec file name matches base package name
- License matches actual license, included in %doc, is FLOSS
- Spec written in American English, is legible
- Source matches upstream
- Package builds fine on all supported architectures
- Build requirements complete
- ldconfig called properly
- directory ownerships OK
- files listing: no duplicates
- file permissions OK
- Inter-dependencies OK

Maybe:
- Why --enable-static=yes ?

Bad:
- rpmlint:
  E: libtheora invalid-version 1.0alpha7
     according to the Naming Guidelines, the 'alpha' part should be
     part of the release tag
  W: libtheora-devel summary-ended-with-dot
  E: theora-tools binary-or-shlib-defines-rpath

  No documentation for libtheora-devel and theora-tools, but that's fine

- Source URL not provided. Also, use .tar.bz2 instead of .tar.gz?


Comment 2 Matthias Clasen 2007-04-11 11:13:07 UTC
All the Bads and Maybes seem to be fixed in the current rawhide package, except
for the version. The only way to fix it that I can see would be to add an epoch,
since rpm considers 1.0alpha > 1.0. Is this worth an epoch ?

Comment 3 Ville Skyttä 2007-04-11 15:29:06 UTC
Introducing an Epoch should be delayed as long as it makes sense.  The next
upstream version might for example be "1.1" instead of "1.0" which would mean an
Epoch introduced today would have had only negative effects.

Comment 4 Michel Alexandre Salim 2007-04-13 23:31:52 UTC
I guess we'll have to wait until a stable version is out (hopefully it won't be
called 1.0).

Closing this bug, since in this case it's a review of an existing package and
there's no owner set

Comment 5 Hans de Goede 2008-04-18 09:24:46 UTC
I would like to request early branching for F-10 of libtheora

Package Change Request
======================
Package Name: libtheora
New Branches: F-9


Comment 6 Kevin Fenzi 2008-04-18 16:22:57 UTC
cvs done.

Comment 7 Debarshi Ray 2009-01-02 20:11:08 UTC
(In reply to comment #3)

Re-opening the review.

> Introducing an Epoch should be delayed as long as it makes sense.

We do need to fix this now. See: https://bugzilla.redhat.com/478651

Comment 8 Cole Robinson 2015-02-11 20:37:38 UTC
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.

Comment 9 Jan Kurik 2015-07-15 15:25:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 10 Fedora End Of Life 2016-11-24 10:19:52 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2016-12-20 11:58:14 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.